import os
import sys

SITE_PATH = os.path.dirname(os.path.abspath(__file__))
SITE_PARENT_PATH = os.path.join(SITE_PATH, '..')

extra_paths = [
    SITE_PARENT_PATH,
    SITE_PATH,
]

for path in extra_paths:
    if path not in sys.path:
        sys.path.append(path)

from settings import SITE_NAME

os.environ['DJANGO_SETTINGS_MODULE'] = \
    '{0}.settings'.format(SITE_NAME)

import django.core.handlers.wsgi
application = django.core.handlers.wsgi.WSGIHandler()
